Package org.apache.tapestry5.commons.util

## Class CoercionNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tapestry5.commons.internal.util.TapestryException
        - - org.apache.tapestry5.commons.util.UnknownValueException
          - - org.apache.tapestry5.commons.util.CoercionNotFoundException

- All Implemented Interfaces:
    `java.io.Serializable`, `Locatable`

      public class CoercionNotFoundException
      extends UnknownValueException

  Exception used when `TypeCoercer` doesn't find a coercion from a type to another.
  Since:
    5.8.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoercionNotFoundException​(java.lang.String message, AvailableValues availableValues, java.lang.Class<?> sourceType, java.lang.Class<?> targetType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getSourceType()` | Returns the source type.
    `java.lang.Class<?>` | `getTargetType()` | Returns the target type.

    - ### Methods inherited from class org.apache.tapestry5.commons.util.UnknownValueException

      `getAvailableValues`

    - ### Methods inherited from class org.apache.tapestry5.commons.internal.util.TapestryException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CoercionNotFoundException

          public CoercionNotFoundException​(java.lang.String message,
                                           AvailableValues availableValues,
                                           java.lang.Class<?> sourceType,
                                           java.lang.Class<?> targetType)

  - ### Method Detail

    - #### getSourceType

          public java.lang.Class<?> getSourceType()

      Returns the source type.

    - #### getTargetType

          public java.lang.Class<?> getTargetType()

      Returns the target type.